# Interface methods for submodule: GE4ImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import IPLCommonImageIOProxy as _IPLCommonImageIOProxy


# Interface methods for class: GE4ImageIO
class GE4ImageIOProxy(_IPLCommonImageIOProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanReadFile(self, FileNameToRead) -> bool:
		""""""
		...

